﻿@using PagedList;
@model IPagedList<PostViewModel>
@{
    ViewBag.Title = "نوشته های وبلاگ";
}

<div class="row">
    <div class="col-12">
        <a class="btn btn-primary" href="@Url.Action("Add")">ایجاد پست جدید</a>
    </div>
</div>

<div class="row">
    <div class="col-12">
        <div class="card-box table-responsive">
            @Html.DataTables(
                    @<thead>
                        <tr>
                            <th>
                                @Html.DisplayNameFor(model => model.GetObject().Id)
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.GetObject().Media)
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.GetObject().Title)
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.GetObject().ListCategory)
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.GetObject().VisitCount)
                            </th>
                            <th>
                                <span>تاریخ انتشار</span>
                            </th>
                            <th>
                                <span>نمایش پست؟</span>
                            </th>
                            <th>
                                <span>عملیات</span>
                            </th>
                        </tr>
                    </thead>,
                    @<tbody>
                        @foreach (var post in Model)
                             {
                            <tr>
                                <td>
                                    @Html.DisplayFor(modelItem => post.Id)
                                </td>
                                <td>
                                    @if (post.Media != null && post.Media.Thumbnails != null)
                                         {
                                        <img src="@(post.Media.Thumbnails.ImgSrc("post.small"))" width="100" height="100" class="img-fluid" alt="@(post.Title)" />
                                         }
                                </td>
                                <td>
                                    <a href="@($"https://www.extoman.co/blog/{post.Url}")">@(post.Title)</a>
                                </td>
                                <td>
                                    @foreach (var cat in post.Categories)
                                         {
                                        @Html.DisplayFor(modelItem => cat.Name)
                                        <br />
                                         }
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => post.VisitCount)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => post.PublishDate)
                                </td>
                                <td>
                                    <button data-post-id="@(post.Id)" class="postActive btn btn-@(post.Enabled ? "primary" : "secondary")"><i class="fa fa-@(post.Enabled ? "eye" : "eye-slash")"></i></button>
                                    @*<input type="checkbox" data-post-id="@(post.Id)" class="postActive" @(post.Enabled ? "checked" : "") />*@
                                </td>
                                <td>
                                    <div class="btn-group">
                                        @Html.ActionLink("ویرایش", "Edit", new { id = post.Id }, new { @class = "btn btn-warning" })
                                        <a onclick="@Html.DeleteModal((int)post.Id);" class="btn btn-danger">حذف</a>
                                    </div>
                                </td>
                            </tr>
                             }
                    </tbody>).Order(0, DataTabledOrder.Desc)
            <div class="text-center">
                @Html.Partial("_Paging", Model)
            </div>
            @Html.CreateDeleteModal()
        </div>
    </div>
</div>

@section scripts{
    <script>
        var postEnableUrl = "@Url.Action("PostEnable")";
        $('.postActive').on("click", function (e) {
            var element = $(this);
            var id = element.data("post-id");
            if ($(this).hasClass("btn-primary")) {
                confirmDialog("آیا ردیف " + id + " نمایش داده نشود؟", function () {
                    element.removeClass("btn-primary").addClass("btn-secondary");
                    element.html('<i class="fa fa-eye-slash"></i>');
                    doAjax({ id: id, enable: false }, postEnableUrl);
                });
            } else {
                confirmDialog("آیا ردیف " + id + " نمایش داده شود؟", function () {
                    element.removeClass("btn-secondary").addClass("btn-primary");
                    element.html('<i class="fa fa-eye"></i>');
                    doAjax({ id: id, enable: true }, postEnableUrl);
                });
            }
        })
    </script>
}